
package de.ivu.elect.presentation.mandant.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(MandantPageMenu.COMPONENT_NAME)
public class MandantPageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "mandantPageMenu";

  @Inject
  private transient MandantSearchMenuItemEntry mandantSearchMenuItemEntry;

  @Inject
  private transient MandantCreateMenuItemEntry mandantCreateMenuItemEntry;

  public MandantPageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(mandantSearchMenuItemEntry);
    result.add(mandantCreateMenuItemEntry);

    return result;
  }
}
